<ion-content
  [fullscreen]="true"
  [ngClass]="{ 'modal-open': isModalOpen }"
  class="ion-no-padding"
  scroll-y="false"
>
  <div class="map-container">
    <div id="main-map"></div>

    @if (!isConnected) {
      <ion-row class="error-card-content">
        <ion-col *transloco="let t">
          <lib-connectivity-error-handling-card
            [show]="true"
            [title]="t('map.connectivity-error.title_dashboard')"
          >
          </lib-connectivity-error-handling-card>
        </ion-col>
      </ion-row>
    }

    <div class="overlay-controls">
      <div class="bottom-controls">
        <app-map-chips
          (closeModal)="closeFilterModal()"
          (openModal)="openFilterModal()"
          (resetToAllCategories)="resetCategories()"
          [categories]="categories"
          [currentState]="currentState"
          [isNetworkConnected]="isConnected"
          [ngClass]="{ 'modal-open-chip': isModalOpen }"
          [selectedCategoryName]="selectedCategoryName"
        ></app-map-chips>
      </div>
    </div>
  </div>
</ion-content>
